package org.stm.common.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.stm.common.vo.DutyVo;
import org.stm.common.vo.LableVo;
import org.stm.common.vo.QueryVo;
import org.stm.essearch.stlib.pojo.EsQueryFileVo;

import java.util.List;

/**
 * @Author: yzh
 * @Date 2023/4/3 20:26
 * @Description:
 */
public interface StCommonMapper {

    public IPage<QueryVo> queryCommonByPage(IPage<QueryVo> page, @Param("query") QueryVo queryVo);

    public IPage<DutyVo> queryDutyByPage(IPage<DutyVo> page, @Param("query") DutyVo dutyVo);

    public DutyVo queryDutyByCode(String code);


    public List<QueryVo> queryCommonByPage(@Param("query") QueryVo queryVo);

    public List<EsQueryFileVo> queryAllFile(@Param("query") EsQueryFileVo queryVo);

    public List<LableVo> queryLables(@Param("query") LableVo queryVo);

    public List<QueryVo> queryAllLibData(@Param("query") QueryVo queryVo);

    public IPage<QueryVo> queryAllLibData(IPage<QueryVo> page, @Param("query") QueryVo queryVo);

}
